// Bateau
#declare GV = texture {
   pigment {
      color rgbft <1, 0.97647, 0.90588, 0.01, 0.01>
   }
   
   finish {
      roughness 0.05
   }
}

#declare Plastique = texture {
   finish {
      brilliance 0.9
      phong 1
      phong_size 40
      roughness 0.05
   }
   
   pigment {
      color rgb <0.55, 0.34, 0.75>
   }
}

#declare Teck = texture {
   pigment {
      image_map {
         jpeg
         "Textures/wood002.jpg"
         map_type 0
      }
      scale <1, 0.2, 1>
      rotate <90, 90, 0>
   }
}

#declare Fond = texture {
   pigment {
      image_map {
         png
         "Textures/woodsquare.png"
         map_type 0
      }
      scale 0.08
   }
}

#declare Metal = texture {
   finish {
      brilliance 0.5
      metallic 0.1
   }
   
   pigment {
      color rgb <0.745098, 0.745098, 0.745098>
   }
}

#declare Metal_2 = texture {
   finish {
      brilliance 0.5
      metallic 0.1
   }
   
   pigment {
      color rgb <0.364706, 0.364706, 0.364706>
   }
}

#declare VerreFume = texture {
   finish {
      brilliance 0.9
      phong 1
      phong_size 40
      
      reflection {
         rgb <0.0784314, 0.0784314, 0.0784314>
      }
   }
   
   pigment {
      color rgb <0.439216, 0.368627, 0.341176>
   }
}

#declare Bois = texture {
   pigment {
      image_map {
         jpeg
         "RayTrace/Textures/wood057.jpg"
         map_type 0
      }
      rotate x*90
   }
}

#declare Cuir = texture {
   pigment {
      image_map {
         jpeg
         "Textures/texture_cuir4.jpg"
         map_type 5
      }
   }
}

#declare OrBat = texture {
   finish {
      brilliance 0.5
      phong 1
      phong_size 40
      metallic 0.1
      
      reflection {
         rgb <0.0666667, 0.0666667, 0.0666667>
      }
   }
   
   pigment {
      color rgb <0.619608, 0.52549, 0.188235>
   }
}

#declare VerreHub = material {
   interior {
      ior 0.9
   }
   
   texture {
      finish {
         phong 1
         phong_size 40
         
         reflection {
            rgb <0.478431, 0.478431, 0.478431>
         }
      }
      
      pigment {
         color rgbf <0.93333, 0.93333, 0.93333, 0.9>
      }
   }
}

#declare TrouHublot = cylinder {
   <0, 0, 0>, <0.1, 0, 0>, 0.1
   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
   
   texture {
      Metal_2
   }
}

#declare Boulon = prism {
   linear_spline
   linear_sweep
   0, 1,
   7,
   <0.5, -13.3>, <1, -14.3>, <0.5, -15.3>, <-0.5, -15.3>, <-1, -14.3>, <-0.5, -13.3>, <0.5, -13.3>
   scale 0.007
   rotate z*90
   translate x*(-0.006)
}

#declare Hublot = union {
   //*PMName Hublot
   
   difference {
      //*PMName Tour
      
      cylinder {
         <0.05, 0, 0>, <-0.01, 0, 0>, 0.11
         scale 1
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         <0.051, 0, 0>, <-0.011, 0, 0>, 0.09
         scale 1
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   difference {
      //*PMName Creux
      
      object {
         TrouHublot
         scale 1
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         <-0.01, 0, 0>, <0.095, 0, 0>, 0.097
         scale 1
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   union {
      //*PMName Boulons
      
      object {
         Boulon
         scale 1
         rotate <0, -0, -0>
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*30
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*60
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*90
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*120
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*150
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*180
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*(-30)
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*(-60)
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*(-90)
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*(-120)
         translate <0, 0, 0>
      }
      
      object {
         Boulon
         scale 1
         rotate x*(-150)
         translate <0, 0, 0>
      }
   }
   
   cylinder {
      <0, 0, 0>, <0.01, 0, 0>, 0.1
      
      material {
         VerreHub
      }
      scale 1
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
   
   texture {
      OrBat
   }
}

#declare Rayon = union {
   cylinder {
      <0.69, 0, 0>, <0.04, 0, 0>, 0.01
      scale 1
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
}

#declare CoupeCuir = box {
   <0.67, -0.022, -0.02>, <0.73, 0.022, 0.02>
   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
}

#declare Bateau = merge {
   //*PMName Bateau
   
   union {
      //*PMName Trappe
      
      difference {
         //*PMName socle
         
         box {
            //*PMName socle
            <-0.5, 0, -0.5>, <0.5, 0.1, 0.5>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            <-0.45, -0.001, -0.45>, <0.45, 0.101, 0.45>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         texture {
            Metal
         }
      }
      
      bicubic_patch {
         type 1
         u_steps 4
         v_steps 4
         <-0.45, 0.1, -0.45>, <-0.4, 0.1, -0.45>, <0.4, 0.1, -0.45>, <0.45, 0.1, -0.45>,
         <-0.45, 0.1, -0.4>, <-0.4, 0.3, -0.4>, <0.4, 0.3, -0.4>, <0.45, 0.1, -0.4>,
         <-0.45, 0.1, 0.4>, <-0.4, 0.3, 0.4>, <0.4, 0.3, 0.4>, <0.45, 0.1, 0.4>,
         <-0.45, 0.1, 0.45>, <-0.4, 0.1, 0.45>, <0.4, 0.1, 0.45>, <0.45, 0.1, 0.45>
         scale 1
         rotate <0, 0, 0>
         translate <0, 0, 0>
         
         material {
            VerreHub
         }
      }
      
      union {
         cylinder {
            //*PMName Vis
            <0.475, 0.1, 0.475>, <0.475, 0.11, 0.475>, 0.02
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Vis
            <-0.475, 0.1, 0.475>, <-0.475, 0.11, 0.475>, 0.02
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Vis
            <0.475, 0.1, -0.475>, <0.475, 0.11, -0.475>, 0.02
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Vis
            <-0.475, 0.1, -0.475>, <-0.475, 0.11, -0.475>, 0.02
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         texture {
            Metal
         }
      }
      scale 1
      rotate x*1.3
      translate <0, 1.06103, 5.0172>
   }
   
   union {
      //*PMName BlocBarre
      
      union {
         //*PMName Compas
         
         difference {
            sphere {
               <0, 0, 0>, 0.07
               
               pigment {
                  color rgb <0, 0, 0>
               }
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
               hollow
            }
            
            box {
               <-0.071, -0.0001, -0.071>, <0.071, 0.071, 0.071>
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
         }
         
         union {
            cylinder {
               <0, 0.001, 0>, <0, -0.001, 0>, 0.07
               
               texture {
                  pigment {
                     image_map {
                        png
                        "Textures/boussole.png"
                        map_type 0
                     }
                     scale 0.14
                     rotate x*90
                     translate <-0.07, 0, -0.07>
                  }
               }
            }
            
            sphere {
               <0, 0, 0>, 0.07
               
               material {
                  interior {
                     ior 1.01
                  }
                  
                  texture {
                     finish {
                        reflection {
                           rgb <0.168627, 0.168627, 0.168627>
                        }
                     }
                     
                     pigment {
                        color rgbft <1, 1, 1, 0.5, 0.5>
                     }
                  }
               }
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
               hollow
            }
         }
         rotate <0, -0, 0>
         translate <0, 1.3, -3.83>
      }
      
      union {
         //*PMName Socle
         
         cylinder {
            <0, -1.2, 0.17>, <0, 0.1, 0.17>, 0.1
            
            clipped_by {
               sphere {
                  <0, 0, 0>, 0.071
                  scale 1
                  rotate <0, 0, 0>
                  translate <0, 0.1, 0.17>
                  inverse
               }
            }
            
            texture {
               Plastique
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            <0, 0, 0>, <0, 0, 0.17>, 0.02
            
            texture {
               Metal
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            <-0.05, 0, 0.17>, <-0.32, -1.2, 0.17>, 0.02
            
            texture {
               Metal
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            <0.05, 0, 0.17>, <0.32, -1.2, 0.17>, 0.02
            
            texture {
               Metal
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         translate <0, 1.2, -4>
      }
      
      union {
         //*PMName Barre
         
         difference {
            torus {
               0.7, 0.021
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            union {
               object {
                  CoupeCuir
                  scale 1
                  rotate <-0, 0, 0>
                  translate <0, 0, 0>
               }
               
               object {
                  CoupeCuir
                  scale 1
                  rotate y*45
                  translate <0, 0, 0>
               }
               
               object {
                  CoupeCuir
                  scale 1
                  rotate y*90
                  translate <0, 0, 0>
               }
               
               object {
                  CoupeCuir
                  scale 1
                  rotate y*135
                  translate <0, 0, 0>
               }
               
               object {
                  CoupeCuir
                  scale 1
                  rotate y*(-45)
                  translate <0, 0, 0>
               }
               
               object {
                  CoupeCuir
                  scale 1
                  rotate y*(-90)
                  translate <0, 0, 0>
               }
               
               object {
                  CoupeCuir
                  scale 1
                  rotate y*(-135)
                  translate <0, 0, 0>
               }
               
               object {
                  CoupeCuir
                  scale 1
                  rotate y*(-180)
                  translate <0, 0, 0>
               }
            }
            
            texture {
               Cuir
            }
         }
         
         torus {
            0.7, 0.02
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         difference {
            //*PMName Moyeux
            
            cylinder {
               //*PMName moyeux
               <0, 0.02, 0>, <0, -0.02, 0>, 0.06
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            prism {
               linear_spline
               linear_sweep
               0, 0.02,
               7,
               <0.5, 1>, <1, 0>, <0.5, -1>, <-0.5, -1>, <-1, 0>, <-0.5, 1>, <0.5, 1>
               
               texture {
                  Metal_2
               }
               scale <0.02, 1, 0.02>
               rotate <0, 0, 0>
               translate y*(-0.021)
            }
         }
         
         union {
            //*PMName rayons
            
            object {
               Rayon
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            object {
               Rayon
               scale 1
               rotate y*45
               translate <0, 0, 0>
            }
            
            object {
               Rayon
               scale 1
               rotate y*90
               translate <0, 0, 0>
            }
            
            object {
               Rayon
               scale 1
               rotate y*135
               translate <0, 0, 0>
            }
            
            object {
               Rayon
               scale 1
               rotate y*180
               translate <0, 0, 0>
            }
            
            object {
               Rayon
               scale 1
               rotate y*(-45)
               translate <0, 0, 0>
            }
            
            object {
               Rayon
               scale 1
               rotate y*(-90)
               translate <0, 0, 0>
            }
            
            object {
               Rayon
               scale 1
               rotate y*(-135)
               translate <0, 0, 0>
            }
            
            texture {
               Metal
            }
         }
         
         texture {
            Metal
         }
         scale 1
         rotate <90, 0, -10>
         translate <0, 1.2, -4>
      }
      translate <0, -0.05, -0.2>
   }
   
   union {
      //*PMName Mture
      
      union {
         //*PMName Rota
         
         bicubic_patch {
            //*PMName GV
            type 1
            u_steps 3
            v_steps 3
            <0, 2.7, -6.7>, <0, 2.7, -4.5>, <0, 2.7, -2.5>, <0, 2.7, -0.15>,
            <0.3, 8, -4.75>, <1.0333, 8, -3.2981>, <1.4333, 8, -1.3279>, <0, 8, -0.15>,
            <0.26667, 14, -2.8667>, <0.5, 14, -1.9>, <0.16667, 14, -0.8>, <0, 14, -0.15>,
            <0, 21.7, -0.15>, <0, 21.7, -0.15>, <0, 21.7, -0.15>, <0, 21.7, -0.15>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               GV
            }
         }
         
         union {
            //*PMName Attache
            
            torus {
               0.01, 0.002
               scale 1
               rotate x*90
               translate <0, 0, 0>
            }
            
            lathe {
               linear_spline
               5,
               <0.003, 0.1>, <0.006, 0.085>, <0.004, 0.05>, <0.006, 0.015>, <0.003, 0>
               scale 1
               rotate <0, 0, 0>
               translate y*0.005
            }
            
            texture {
               Metal
            }
            scale 1
            rotate x*18.7
            translate <0, 2.7399, -6.739>
         }
         
         difference {
            //*PMName Bme
            
            cylinder {
               //*PMName Bme
               <0, 0, -1.04>, <0, 0, -7.6>, 0.14
               
               texture {
                  Metal
               }
               scale <0.7, 1, 1>
               rotate <0, 0, 0>
               translate <0, 2.6, 0.85>
            }
            
            cylinder {
               //*PMName BmeCreux
               <0, 0, -1.06>, <0, 0, -7.51>, 0.05
               
               texture {
                  Metal
               }
               scale <0.7, 1, 1>
               rotate <0, 0, 0>
               translate <0, 2.72951, 0.80311>
            }
         }
         
         cylinder {
            //*PMName Vit
            <0, 0, -0.9>, <0, 0, -1.9>, 0.02
            
            texture {
               Metal
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 2.6, 0.85>
         }
         
         cylinder {
            //*PMName HaubanB
            <0, 22, -0.105>, <0, 2.83, -6.70823>, 0.005
            
            texture {
               Metal_2
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         rotate y*(-20)
         translate z*1
      }
      
      cylinder {
         //*PMName Mt
         <0, 0, 1>, <0, 22, 1>, 0.16
         
         texture {
            Metal
         }
         scale <0.7, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      union {
         //*PMName Haubans
         
         cylinder {
            //*PMName G1
            <-0.1, 22, 1>, <-1.095, 17, 1>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName G2
            <-1.695, 12, 1>, <-1.095, 17, 1>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName G2b
            <-1.695, 12, 1>, <-0.1, 17, 1>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName G3
            <-1.695, 12, 1>, <-2.18797, 1.09661, 1>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName G3b
            <-0.1, 12, 1>, <-2.1501, 1.09882, 0.995855>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName D1
            <0.1, 22, 1>, <1.095, 17, 1>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName D2
            <1.695, 12, 1>, <1.095, 17, 1>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName D2b
            <1.695, 12, 1>, <0.1, 17, 1>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName D3
            <1.695, 12, 1>, <2.18827, 1.09672, 1>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName D3b
            <0.1, 12, 1>, <2.1473, 1.09701, 0.995975>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         texture {
            Metal_2
         }
      }
      
      box {
         <-1.1, -0.01, 1.02>, <1.1, 0.01, 0.98>
         
         texture {
            Metal
         }
         scale 1
         rotate <0, 0, 0>
         translate y*17
      }
      
      box {
         <-1.7, -0.01, 1.02>, <1.7, 0.01, 0.98>
         
         texture {
            Metal
         }
         scale 1
         rotate <0, 0, 0>
         translate y*12
      }
      
      cylinder {
         //*PMName HaubanAr
         <0, 21.998, 0.845>, <0, -0.360259, -7.91779>, 0.005
         
         texture {
            Metal_2
         }
         scale 1
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         //*PMName HaubanAv
         <0, 21.998, 1.1545>, <0, 1.0964, 7.8721>, 0.005
         
         texture {
            Metal_2
         }
         scale 1
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   merge {
      //*PMName Coque
      
      difference {
         //*PMName CoqueEvide
         
         union {
            bicubic_patch {
               //*PMName CoqueGauche
               type 1
               u_steps 5
               v_steps 5
               <0, -0.5, -8>, <0, -2.2, -1>, <0, -1.6, 7>, <0, -1.6, 7>,
               <-1, -0.4, -7.9>, <-4, -1, -1>, <-0.75, -1, 7>, <0, -1, 7.8>,
               <-1.4, 0.2, -7.3>, <-4, 0.2, -1>, <-0.75, 0.2, 7>, <0, 0.2, 7.9>,
               <-1.4, 1, -6>, <-4, 1, -1>, <-0.75, 1, 7>, <0, 1, 8>
            }
            
            bicubic_patch {
               //*PMName CoqueDroite
               type 1
               u_steps 5
               v_steps 5
               <0, -0.5, -8>, <0, -2.2, -1>, <0, -1.6, 7>, <0, -1.6, 7>,
               <1, -0.4, -7.9>, <4, -1, -1>, <0.75, -1, 7>, <0, -1, 7.8>,
               <1.4, 0.2, -7.3>, <4, 0.2, -1>, <0.75, 0.2, 7>, <0, 0.2, 7.9>,
               <1.4, 1, -6>, <4, 1, -1>, <0.75, 1, 7>, <0, 1, 8>
            }
            
            bicubic_patch {
               //*PMName Arriere
               type 1
               u_steps 5
               v_steps 0
               <0, -0.5, -8>, <0, -0.5, -8>, <0, -0.5, -8>, <0, -0.5, -8>,
               <-1, -0.4, -7.9>, <0, -0.4, -7.9>, <0, -0.4, -7.9>, <1, -0.4, -7.9>,
               <-1.4, 0.2, -7.3>, <0, 0.2, -7.3>, <0, 0.2, -7.3>, <1.4, 0.2, -7.3>,
               <-1.4, 1, -6>, <0, 1, -6>, <0, 1, -6>, <1.4, 1, -6>
            }
            
            bicubic_patch {
               //*PMName Pont
               type 1
               u_steps 5
               v_steps 5
               <-1.4, 1, -6>, <-1, 1, -6>, <1, 1, -6>, <1.4, 1, -6>,
               <-4, 1, -1>, <-1.5, 1.5, -1>, <1.5, 1.5, -1>, <4, 1, -1>,
               <-0.75, 1, 7>, <-0.1, 1.1, 7>, <0.1, 1.1, 7>, <0.75, 1, 7>,
               <0, 1, 8>, <0, 1, 8>, <0, 1, 8>, <0, 1, 8>
            }
            
            texture {
               Plastique
            }
         }
         
         box {
            //*PMName Creux
            <-1.5, 0.05, 0>, <1.5, -0.1, 3>
            rotate x*(-1.945)
            translate <0, 1.06, -5>
         }
      }
      
      union {
         //*PMName Arriere
         
         box {
            //*PMName BordG
            <-1.49, -0.02, 0>, <-1.53, -1, 3>
            
            texture {
               Plastique
            }
            scale 1
            rotate x*(-1.6)
            translate <0, 1.06, -5>
         }
         
         box {
            //*PMName BordD
            <1.49, -0.02, 0>, <1.53, -1, 3>
            
            texture {
               Plastique
            }
            scale 1
            rotate x*(-1.6)
            translate <0, 1.06, -5>
         }
         
         box {
            //*PMName Fond
            <-1.5, 0, 0>, <1.5, 0, 3.1>
            
            texture {
               Plastique
            }
            scale 1
            rotate <0, 0, 0>
            translate z*(-5)
         }
         
         box {
            //*PMName FondTex
            <-1.5, 0.07, 0>, <1.5, 0.01, 3.1>
            
            texture {
               Fond
               rotate x*90
            }
            scale 1
            rotate <0, 0, 0>
            translate z*(-5)
         }
         
         box {
            //*PMName Arrire
            <-1.5, 0, 0>, <1.5, 0.87, 0.04>
            
            texture {
               Plastique
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0.2, -5>
         }
         
         box {
            //*PMName BancG
            <-1.51, 0, -5.01>, <-1, 0.6, -1.99>
            
            texture {
               Plastique
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName BancGTex
            <-1.47, 0.6, -4.93>, <-1.03, 0.601, -2.05>
            
            texture {
               Teck
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName BancD
            <1.51, 0, -5.01>, <1, 0.6, -1.99>
            
            texture {
               Plastique
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName BancDTex
            <1.47, 0.6, -4.93>, <1.03, 0.601, -2.05>
            
            texture {
               Teck
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName BancF
            <1.51, 0, -5.01>, <-1.51, 0.6, -4.5>
            
            texture {
               Plastique
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName BancFTex
            <0.97, 0.6, -4.94>, <-0.97, 0.601, -4.54>
            
            texture {
               Teck
               rotate y*90
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
      
      difference {
         //*PMName Roof
         
         union {
            //*PMName Roof
            
            object {
               //*PMName Hub1g
               Hublot
               scale 2
               rotate z*(-51)
               translate <-1.28922, 1.41415, -1.5435>
            }
            
            object {
               //*PMName Hub2g
               Hublot
               scale 2
               rotate <0, 2, -51>
               translate <-1.26614, 1.39107, 0>
            }
            
            object {
               //*PMName Hub3g
               Hublot
               scale 2
               rotate <0, 4, -51>
               translate <-1.19355, 1.30152, 1.5435>
            }
            
            object {
               //*PMName Hub1d
               Hublot
               scale 2
               rotate z*231
               translate <1.2892, 1.4142, -1.5435>
            }
            
            object {
               //*PMName Hub2d
               Hublot
               scale 2
               rotate <0, 2, 231>
               translate <1.2661, 1.3911, 0>
            }
            
            object {
               //*PMName Hub3d
               Hublot
               scale 2
               rotate <0, 4, 231>
               translate <1.1936, 1.3015, 1.5435>
            }
            
            difference {
               bicubic_patch {
                  //*PMName Roof
                  type 1
                  u_steps 4
                  v_steps 5
                  <-1.5, 1, -2>, <-1.5, 2, -2>, <1.5, 2, -2>, <1.5, 1, -2>,
                  <-1.6, 1, -1>, <-1.5, 2, -1>, <1.5, 2, -1>, <1.6, 1, -1>,
                  <-1.5, 1, 3>, <-1.4, 2, 3>, <1.4, 2, 3>, <1.5, 1, 3>,
                  <-0.9, 0.8, 4.5>, <-0.8, 0.8, 4.6>, <0.8, 0.8, 4.6>, <0.9, 0.8, 4.5>
                  
                  texture {
                     Plastique
                  }
                  scale 1
                  rotate <0, 0, 0>
                  translate <0, 0, 0>
               }
               
               object {
                  //*PMName th1
                  TrouHublot
                  scale 2
                  rotate z*(-51)
                  translate <-1.28922, 1.41415, -1.5435>
               }
               
               object {
                  //*PMName th2
                  TrouHublot
                  scale 2
                  rotate z*(-51)
                  translate <-1.26614, 1.39107, 0>
               }
               
               object {
                  //*PMName th3
                  TrouHublot
                  scale 2
                  rotate z*(-51)
                  translate <-1.2661, 1.3911, 1.5435>
               }
               
               object {
                  TrouHublot
                  scale 2
                  rotate z*231
                  translate <1.2892, 1.4142, -1.5435>
               }
               
               object {
                  TrouHublot
                  scale 2
                  rotate z*231
                  translate <1.2661, 1.3911, 0>
               }
               
               object {
                  //*PMName th3d
                  TrouHublot
                  scale 2
                  rotate z*231
                  translate <1.2661, 1.3911, 1.5435>
               }
            }
            
            bicubic_patch {
               //*PMName Entre
               type 0
               u_steps 0
               v_steps 5
               <-1.5, 1, -2>, <-1.5, 2, -2>, <1.5, 2, -2>, <1.5, 1, -2>,
               <-1.5, 0.5, -2>, <-1.5, 0.5, -2>, <1.5, 0.5, -2>, <1.5, 0.5, -2>,
               <-1.5, 0.1, -2>, <-1.5, 0.1, -2>, <1.5, 0.1, -2>, <1.5, 0.1, -2>,
               <-1.5, -0.2, -2>, <-1.5, -0.2, -2>, <1.5, -0.2, -2>, <1.5, -0.2, -2>
               
               texture {
                  Plastique
               }
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            translate <0, 0.1, -0.01>
         }
         
         box {
            //*PMName Entree
            <-0.45, 0.8, -2.015>, <0.45, 1.86, -1.1>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
      
      box {
         //*PMName RailGV
         <-1.54, 0.82, -0.04>, <1.54, 0.88, 0.04>
         
         texture {
            Plastique
         }
         scale 1
         rotate <0, 0, 0>
         translate <0, 0.2, -5>
      }
      
      union {
         //*PMName Entree
         
         union {
            //*PMName Vitre
            
            box {
               //*PMName Entree
               <-0.45, 1.81, -1.98>, <0.45, 1.82, -1.1>
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            box {
               //*PMName BarreAv
               <-0.42, 1.81, -1.98>, <0.42, 1.84, -2.02>
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            texture {
               VerreFume
            }
            translate y*(-0.02)
         }
         
         box {
            //*PMName BarreAv
            <-0.46, 1.8, -1.08>, <0.46, 1.85, -1.12>
            
            texture {
               Bois
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName BarreG
            <-0.46, 1.77, -2.015>, <-0.42, 1.85, -1.12>
            
            texture {
               Bois
               rotate y*90
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName BarreD
            <0.46, 1.77, -2.015>, <0.42, 1.85, -1.12>
            
            texture {
               Bois
               rotate y*90
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Porte
            <-0.45, 1.7901, -2.02>, <0.45, 0.8, -1.99>
            
            texture {
               Bois
               rotate <-90, 0, 90>
               scale 0.5
            }
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         union {
            //*PMName PareBrise
            
            box {
               <0.55, 0.1, 0.005>, <-0.55, -0.1, -0.005>
               scale 1
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            box {
               <0.005, 0.1, 0.005>, <-0.005, -0.1, -0.9>
               scale 1
               rotate <0, 5.8, 0.9>
               translate x*(-0.547)
            }
            
            box {
               <0.005, 0.1, 0.005>, <-0.005, -0.1, -0.9>
               scale 1
               rotate <0, -5.8, 0.9>
               translate x*0.547
            }
            
            texture {
               Plastique
            }
            rotate x*(-8.8)
            translate <0, 1.84104, -1>
         }
      }
   }
   
   union {
      //*PMName Accastillage
      
      union {
         //*PMName AttacheG
         
         box {
            <-0.02, 0, -0.02>, <0.02, -0.04, 0.02>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         torus {
            0.01, 0.002
            scale 1
            rotate x*90
            translate <0, 0, 0>
         }
         
         lathe {
            linear_spline
            5,
            <0.003, 0.1>, <0.006, 0.085>, <0.004, 0.05>, <0.006, 0.015>, <0.003, 0>
            scale 1
            rotate <1.6, 0, -10.6>
            translate y*0.005
         }
         
         texture {
            Metal
         }
         scale 1
         rotate <0, 9, 8.9>
         translate <-2.19, 1.008, 1>
      }
      
      union {
         //*PMName AttacheGb
         
         box {
            <-0.02, 0, -0.02>, <0.02, -0.04, 0.02>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         torus {
            0.01, 0.002
            scale 1
            rotate x*90
            translate <0, 0, 0>
         }
         
         lathe {
            linear_spline
            5,
            <0.003, 0.1>, <0.006, 0.085>, <0.004, 0.05>, <0.006, 0.015>, <0.003, 0>
            scale 1
            rotate <2.9, 0.4, -19.2>
            translate y*0.005
         }
         
         texture {
            Metal
         }
         scale 1
         rotate <0, 9, 8.9>
         translate <-2.16486, 1.01207, 0.996053>
      }
      
      union {
         //*PMName AttacheD
         
         box {
            <-0.02, 0, -0.02>, <0.02, -0.04, 0.02>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         torus {
            0.01, 0.002
            scale 1
            rotate x*90
            translate <0, 0, 0>
         }
         
         lathe {
            linear_spline
            5,
            <0.003, 0.1>, <0.006, 0.085>, <0.004, 0.05>, <0.006, 0.015>, <0.003, 0>
            scale 1
            rotate <1.6, 0, 10.6>
            translate y*0.005
         }
         
         texture {
            Metal
         }
         scale 1
         rotate <0, -9, -8.9>
         translate <2.19, 1.008, 1>
      }
      
      union {
         //*PMName AttacheGb
         
         box {
            <-0.02, 0, -0.02>, <0.02, -0.04, 0.02>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         torus {
            0.01, 0.002
            scale 1
            rotate x*90
            translate <0, 0, 0>
         }
         
         lathe {
            linear_spline
            5,
            <0.003, 0.1>, <0.006, 0.085>, <0.004, 0.05>, <0.006, 0.015>, <0.003, 0>
            scale 1
            rotate <0.4, 0.9, 2.9>
            translate y*0.005
         }
         
         texture {
            Metal
         }
         scale 1
         rotate <0, -9, 8.9>
         translate <2.1649, 1.0121, 0.99605>
      }
      
      union {
         //*PMName AttacheAv
         
         box {
            <-0.02, 0, -0.02>, <0.02, -0.04, 0.02>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         torus {
            0.01, 0.002
            scale 1
            rotate x*90
            translate <0, 0, 0>
         }
         
         lathe {
            linear_spline
            5,
            <0.003, 0.1>, <0.006, 0.085>, <0.004, 0.05>, <0.006, 0.015>, <0.003, 0>
            scale 1
            rotate <0.4, 0.9, -21.4>
            translate y*0.005
         }
         
         texture {
            Metal
         }
         scale 1
         rotate <90, 86, 90>
         translate <0, 1.00791, 7.89785>
      }
      
      union {
         //*PMName AttacheAr
         
         box {
            <-0.02, 0, -0.02>, <0.02, -0.04, 0.02>
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         torus {
            0.01, 0.002
            scale 1
            rotate x*90
            translate <0, 0, 0>
         }
         
         lathe {
            linear_spline
            5,
            <0.003, 0.1>, <0.006, 0.085>, <0.004, 0.05>, <0.006, 0.015>, <0.003, 0>
            scale 1
            rotate z*66.3
            translate y*0.005
         }
         
         texture {
            Metal
         }
         scale 1
         rotate <-90, 45.6, -90>
         translate <0, -0.444398, -7.9466>
      }
   }
   
   union {
      //*PMName BarAvant
      
      union {
         //*PMName CablesG
         
         cylinder {
            //*PMName V3G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <-1.2562, 1.6, 5>
         }
         
         cylinder {
            //*PMName Cable1G
            <-0.455, 1.595, 7.2>, <-1.2562, 1.595, 5>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable1bG
            <-0.455, 1.295, 7.14>, <-1.2562, 1.295, 5>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V4G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <-1.8173, 1.6, 3>
         }
         
         cylinder {
            //*PMName Cable2G
            <-1.8173, 1.595, 3>, <-1.2562, 1.595, 5>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable2bG
            <-1.8173, 1.295, 3>, <-1.2562, 1.295, 5>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V5G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <-2.2, 1.6, 0.96>
         }
         
         cylinder {
            //*PMName Cable3G
            <-1.8173, 1.595, 3>, <-2.201, 1.595, 0.96>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable3bG
            <-1.8173, 1.295, 3>, <-2.201, 1.295, 0.96>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V6G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <-2.35, 1.6, -1.5>
         }
         
         cylinder {
            //*PMName Cable4G
            <-2.35, 1.595, -1.5>, <-2.201, 1.595, 0.96>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable4bG
            <-2.35, 1.295, -1.5>, <-2.201, 1.295, 0.96>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V7G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <-2.094, 1.6, -4>
         }
         
         cylinder {
            //*PMName Cable5G
            <-2.35, 1.595, -1.5>, <-2.094, 1.595, -4>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable5bG
            <-2.35, 1.295, -1.5>, <-2.094, 1.295, -4>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
      }
      
      union {
         //*PMName CablesD
         
         cylinder {
            //*PMName V3G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <1.2562, 1.6, 5>
         }
         
         cylinder {
            //*PMName Cable1G
            <0.455, 1.595, 7.2>, <1.2562, 1.595, 5>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable1bG
            <0.455, 1.295, 7.14>, <1.2562, 1.295, 5>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V4G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <1.8173, 1.6, 3>
         }
         
         cylinder {
            //*PMName Cable2G
            <1.8173, 1.595, 3>, <1.2562, 1.595, 5>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable2bG
            <1.8173, 1.295, 3>, <1.2562, 1.295, 5>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V5G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <2.2, 1.6, 0.96>
         }
         
         cylinder {
            //*PMName Cable3G
            <1.8173, 1.595, 3>, <2.201, 1.595, 0.96>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable3bG
            <1.8173, 1.295, 3>, <2.201, 1.295, 0.96>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V6G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <2.35, 1.6, -1.5>
         }
         
         cylinder {
            //*PMName Cable4G
            <2.35, 1.595, -1.5>, <2.201, 1.595, 0.96>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable4bG
            <2.35, 1.295, -1.5>, <2.201, 1.295, 0.96>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V7G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <2.094, 1.6, -4>
         }
         
         cylinder {
            //*PMName Cable5G
            <2.35, 1.595, -1.5>, <2.094, 1.595, -4>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable5bG
            <2.35, 1.295, -1.5>, <2.094, 1.295, -4>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
      }
      
      union {
         //*PMName Avant
         
         cylinder {
            //*PMName V0
            <0, 0.001, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate x*10
            translate <0, 1.59, 8.07>
         }
         
         cylinder {
            //*PMName V1G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate x*10
            translate <-0.26, 1.6, 7.6>
         }
         
         cylinder {
            //*PMName V1D
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate x*10
            translate <0.26, 1.6, 7.6>
         }
         
         cylinder {
            //*PMName V2G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate x*10
            translate <-0.455, 1.6, 7.2>
         }
         
         cylinder {
            //*PMName V2D
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate x*10
            translate <0.455, 1.6, 7.2>
         }
         
         cylinder {
            //*PMName H2G
            <-0.259, 1.6, 7.6>, <-0.46, 1.6, 7.19>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName H2D
            <0.259, 1.6, 7.6>, <0.46, 1.6, 7.19>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName H1G
            <0, 1.6, 8.09>, <-0.26, 1.6, 7.6>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName H1D
            <0, 1.6, 8.09>, <0.26, 1.6, 7.6>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName H1bG
            <0, 1.6, 8.08>, <-0.26, 1.6, 7.6>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, -0.3, -0.057111>
         }
         
         cylinder {
            //*PMName H1bD
            <0, 1.6, 8.08>, <0.26, 1.6, 7.6>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, -0.3, -0.057111>
         }
         
         cylinder {
            //*PMName H2bG
            <-0.259, 1.6, 7.59>, <-0.46, 1.6, 7.19>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, -0.3, -0.0417139>
         }
         
         cylinder {
            //*PMName H2bD
            <0.259, 1.6, 7.59>, <0.46, 1.6, 7.19>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, -0.3, -0.0417139>
         }
      }
      
      union {
         //*PMName Arriere
         
         cylinder {
            //*PMName Cable6G
            <-1.3836, 1.595, -5.9824>, <-2.094, 1.595, -4>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable6bG
            <-1.3836, 1.295, -5.9824>, <-2.094, 1.295, -4>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V8G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <-1.38364, 1.6, -5.98243>
         }
         
         cylinder {
            //*PMName Cable6D
            <1.3836, 1.595, -5.9824>, <2.094, 1.595, -4>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable6bD
            <1.3836, 1.295, -5.9824>, <2.094, 1.295, -4>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName V8D
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <1.3836, 1.6, -5.9824>
         }
         
         cylinder {
            //*PMName V9G
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <-0.8, 1.6, -5.9824>
         }
         
         cylinder {
            //*PMName Cable7G
            <-1.3836, 1.595, -5.9824>, <-0.8, 1.595, -5.9824>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Cable7bG
            <-1.3836, 1.295, -5.9824>, <-0.8, 1.295, -5.9824>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName V9D
            <0, 0, 0>, <0, -0.6, 0>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0.8, 1.6, -5.9824>
         }
         
         cylinder {
            //*PMName Cable7D
            <1.3836, 1.595, -5.9824>, <0.8, 1.595, -5.9824>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Cable7bD
            <1.3836, 1.295, -5.9824>, <0.8, 1.295, -5.9824>, 0.015
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Cable8
            <-0.8, 1.595, -5.9824>, <0.8, 1.595, -5.9824>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
         
         cylinder {
            //*PMName Cable8b
            <-0.8, 1.295, -5.9824>, <0.8, 1.295, -5.9824>, 0.005
            scale 1
            rotate <0, 0, 0>
            translate <0, 0, 0>
            
            texture {
               Metal_2
            }
         }
      }
      
      texture {
         Metal
      }
   }
   rotate <0, 0, 0>
   translate y*0.6
}
